Bug 1310789 - maliit-keyboard-viewer is not executable by default
maliit-keyboard-viewer is not executable by default
Status: NEW
Product: Fedora
Classification: Fedora
Component: maliit-plugins (Show other bugs)
26
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Peter Robinson
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2016-02-22 11:27 EST by Daniel Thompson
Modified: 2017-02-28 04:54 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Daniel Thompson 2016-02-22 11:27:35 EST
Description of problem:

The maliit-keybaord-viewer is not executable by default. This is very odd for a x86-64 ELF file located in /bin .

Version-Release number of selected component:

maliit-plugins             x86_64      0.94.2-6.fc23

Steps to Reproduce:

birch$ file /usr/bin/maliit-keyboard-viewer
/usr/bin/maliit-keyboard-viewer: ELF 64-bit LSB shared object, x86-64, version 1 (SYSV), dynamically linked, interpreter /lib64/ld-linux-x86-64.so.2, for GNU/Linux 2.6.32, BuildID[sha1]=cb1f526081f8f0cdf8eb863f875ef4c85f3fe2bd, not stripped
birch$ strace /usr/bin/maliit-keyboard-viewer
execve("/usr/bin/maliit-keyboard-viewer", ["/usr/bin/maliit-keyboard-viewer"], [/* 68 vars */]) = -1 EACCES (Permission denied)
write(2, "strace: exec: Permission denied\n", 32strace: exec: Permission denied
) = 32
exit_group(1)                           = ?
+++ exited with 1 +++
birch$ ls -l /usr/bin/maliit-keyboard-
ls: cannot access /usr/bin/maliit-keyboard-: No such file or directory
birch$ ls -l /usr/bin/maliit-keyboard-viewer 
-rw-r--r--. 1 root root 9431392 Jun 17  2015 /usr/bin/maliit-keyboard-viewer
Comment 1 Fedora End Of Life 2016-11-24 10:41:48 EST
This message is a reminder that Fedora 23 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 23. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as EOL if it remains open with a Fedora  'version'
of '23'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version.

Thank you for reporting this issue and we are sorry that we were not 
able to fix it before Fedora 23 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior this bug is closed as described in the policy above.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2017-02-28 04:54:30 EST
This bug appears to have been reported against 'rawhide' during the Fedora 26 development cycle.
Changing version to '26'.

Note You need to log in before you can comment on or make changes to this bug.